Name:           python-simplegeneric
Version:        0.8.1
Release:        13
Summary:        A package with simple generic functions
License:        Python or ZPLv2.1
URL:            http://cheeseshop.python.org/pypi/simplegeneric
Source0:        https://pypi.python.org/packages/source/s/simplegeneric/simplegeneric-0.8.1.zip
BuildArch:      noarch
BuildRequires:  python3-devel python3-setuptools

%description
The package lets you define simple single-dispatch generic functions, akin to Python's built-in
generic functions like len(), iter() and so on.

%package -n     python3-simplegeneric
Summary:        A python3 package with simple generic functions
License:        Python or ZPLv2.1
%{?python_provide:%python_provide python3-simplegeneric}

%description -n python3-simplegeneric
The package lets you define simple single-dispatch generic functions, akin to Python's built-in
generic functions like len(), iter() and so on.

%prep
%autosetup -n simplegeneric-%{version}

%build
%py3_build

%install
%py3_install

%check
PYTHONPATH=$(pwd) %{__python3} setup.py test

%files -n python3-simplegeneric
%doc README.txt
%{python3_sitelib}/__pycache__/simplegeneric.cpython*
%{python3_sitelib}/{simplegeneric.py*,simplegeneric-%{version}-py%{python3_version}.egg-info}

%changelog
* Tue Mar 29 2022 yaoxin <yaoxin30@huawei.com> - 0.8.1-13
- Resolve compilation failures.

* Fri Mar 6 2020 zhanghua <zhanghua40@huawei.com> - 0.8.1-12
- remove python2 subpackage

* Fri Mar 6 2020 yinzhenling <yingzhenling2@huawei.com> - 0.8.1-11
- Initial package
